Bug 447018 - Unable to create nspr log file '/home/milos/.thunderbird/thunderbird.log'
Unable to create nspr log file '/home/milos/.thunderbird/thunderbird.log'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 19:37 EDT by Milos Jakubicek
Modified: 2014-01-21 18:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 01:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2008-05-16 19:37:32 EDT
Description of problem:

When running yum, the first displayed line is:
Unable to create nspr log file '/home/milos/.thunderbird/thunderbird.log'
But everything works normally so this is really a minor problem, but it
indicates something is a bit wrong probably.

Version-Release number of selected component (if applicable):

yum-3.2.14-10.fc9

How reproducible:

Always.

Steps to Reproduce:
1. start yum (with any parameters)
  
Actual results:

>yum
Unable to create nspr log file '/home/milos/.thunderbird/thunderbird.log'
[normal output]

Expected results:
>yum
[normal output]

:)
Comment 1 Milos Jakubicek 2008-05-17 15:11:31 EDT
Changing component to rpm as actually it happens anytime rpm is called, not only
yum.
Comment 2 Panu Matilainen 2008-06-06 01:36:31 EDT
You just have NSPR_LOG_MODULES and NSPR_LOG_FILE environment variables set in
your ~/.bash_profile or so. Guessing from the path you have at some point
enabled them for thunderbird debugging and forgot to turn them off when done :)

The NSPR_LOG_* environment variables aren't thunderbird specific but global for
anything that uses the NSPR library. Nowadays rpm uses NSPR indirectly as NSS
uses NSPR to dynamically load libraries.

The message is harmless, and rpm doesn't mess with NSPR_LOG_* environment (it's
none of rpm's business). Just remove the NSPR_LOG_* variables from your
environment (wherever they're originally set, probably ~/.bash_profile), they're
only really useful when debugging NSPR behavior.
Comment 3 Milos Jakubicek 2008-06-06 07:32:50 EDT
You're definitely right, sorry for bothering you :(

Note You need to log in before you can comment on or make changes to this bug.